Subject: Re: bug#60376: 29.0.60; Standardize csharp-ts-mode's font-lock features

From: Theodor Thornhill <[email-masked]>
Date: Sun, 01 Jan 2023 19:41:33 +0100

Jostein Kjønigsen <[email-masked]> writes:

> On 01.01.2023 18:24, Jostein Kjønigsen wrote:
>> Disregard previous patch.
>>
>> Consider instead please the patch attached to this email.
>>
>> It does 3 things all in one:
>>
>> * moves function-call fontification to level 4 only (in its own feature)
>>
>> * cleans up long-standing issues with "messy" rules for 
>> function-invocations. Removes the needs for "overrides".
>>
>> * also fixes issue with fonctification of self/this-method invocations.
>>
>> Theo: Can you try this patch and see what you think?
>>
>> -- 
>>
>> Jostein
>
> Disregard again (and sorry for the noise!)
>
> I've now gone through several files, done quite a bit of testing myself, 
> and found another few issues needing to be solved:
>
>   * Inconsistent variable-name fontification (sometimes when used,
>     sometimes when declared, sometimes not when used, sometimes not when
>     declared)
>   * Variable declaration with explicit generic types
>   * new() expression fontification for generic types.
>   * Bleeding type-face into brackets for generic return-types in method
>     definitions
>   * Types when casting through as-expressions are not fontified at all.
>   * And more?
>
> I've solved those and combined all this into this latest patch, which 
> also moves function-invocation into its own (level 4) feature.
>
> This patch should be well beyond the "85%" which Eli has requested for 
> Emacs-29 :)
>
> *Theo:* Could you give this a test-spin, and I promise to call it a day? :)
>

Hi!

No worries at all, I'm just glad you found some inspiration :-)

This looks good to me.  I think we are are all set - there are at least
no more features needed.  I guess we can still add some tweaks to the
highlighting itself before the release?

Yuan - you're next ;)

Theo